> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Execute Template Test > Execute a specified template test ## OpenAPI ````json POST /api/v1/Execution/projects/{projectId}/template-tests/{testId}/execute { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Execution/projects/{projectId}/template-tests/{testId}/execute": { "post": { "tags": [ "Execution" ], "summary": "Execute Template Test", "description": "Execute a specified template test", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the template test", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "testId", "in": "path", "description": "Template test to execute", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "Execution configuration", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestExecutionConfig" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestExecutionConfig" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestExecutionConfig" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestExecutionConfig" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ExecutionResult" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.TemplateTestExecutionConfig": { "title": "TemplateTestExecutionConfig", "type": "object", "properties": { "saveInRepository": { "type": "boolean", "description": "Set this to true if you would like to save the test results in the repository; false if the results should just be sent to the screen" }, "parallelTestCount": { "type": "integer", "description": "Number of tests to run in parallel on execution", "format": "int32" }, "childTestId": { "type": "integer", "description": "Set this to run one specfic test within the template test", "format": "int32", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ExecutionResult": { "title": "ExecutionResult", "type": "object", "properties": { "name": { "type": "string", "description": "The name of the execution result", "nullable": true }, "executionKey": { "type": "string", "description": "The key of the execution result", "nullable": true }, "batchId": { "type": "integer", "description": "The ID of the batch associated with the execution", "format": "int32", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````